<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:35 CEST 2019 -->
<title>JnaDatabase (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JnaDatabase (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/JnaDatabase.html" target="_top">Frames</a></li>
<li><a href="JnaDatabase.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.jna</div>
<h2 title="Class JnaDatabase" class="title">Class JnaDatabase</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbAttachment</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbDatabase</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabaseConnection</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.jna.JnaDatabase</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>, <a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna">JnaAttachment</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">JnaDatabase</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabaseConnection</a>&gt;
implements <a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna">JnaAttachment</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a></pre>
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng"><code>FbDatabase</code></a> for native client access.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected com.sun.jna.ptr.IntByReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#handle">handle</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#MAX_STATEMENT_LENGTH">MAX_STATEMENT_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#STATUS_VECTOR_SIZE">STATUS_VECTOR_SIZE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#statusVector">statusVector</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#connection">connection</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#JnaDatabase-org.firebirdsql.gds.ng.jna.JnaDatabaseConnection-">JnaDatabase</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabaseConnection</a>&nbsp;connection)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#afterAttachActions--">afterAttachActions</a></span>()</code>
<div class="block">Additional tasks to execute directly after attach operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#attach--">attach</a></span>()</code>
<div class="block">Attach to the attachment type.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#attachOrCreate-org.firebirdsql.gds.DatabaseParameterBuffer-boolean-">attachOrCreate</a></span>(<a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb,
              boolean&nbsp;create)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#cancelEvent-org.firebirdsql.gds.EventHandle-">cancelEvent</a></span>(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>
<div class="block">Cancels a registered event.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#cancelOperation-int-">cancelOperation</a></span>(int&nbsp;kind)</code>
<div class="block">Cancels the current operation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#checkConnected--">checkConnected</a></span>()</code>
<div class="block">Checks if the attachment is connected, and throws a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a> if it isn't connected.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#countEvents-org.firebirdsql.gds.EventHandle-">countEvents</a></span>(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>
<div class="block">Counts the events occurred.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createBlobForInput</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                  <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer,
                  long&nbsp;blobId)</code>
<div class="block">Creates a blob for read access to an existing blob on the server.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createBlobForOutput</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                   <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</code>
<div class="block">Creates a blob for write access to a new blob on the server.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#createDatabase--">createDatabase</a></span>()</code>
<div class="block">Creates a new database, connection remains attached to database.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaEventHandle.html" title="class in org.firebirdsql.gds.ng.jna">JnaEventHandle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">createEventHandle</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                 <a href="../../../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds">EventHandler</a>&nbsp;eventHandler)</code>
<div class="block">Creates an event handle for this database type.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html" title="class in org.firebirdsql.gds.ng.jna">JnaStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#createStatement-org.firebirdsql.gds.ng.FbTransaction-">createStatement</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction)</code>
<div class="block">Creates a statement associated with a transaction</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#dropDatabase--">dropDatabase</a></span>()</code>
<div class="block">Drops (and deletes) the currently attached database.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#executeImmediate-java.lang.String-org.firebirdsql.gds.ng.FbTransaction-">executeImmediate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statementText,
                <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction)</code>
<div class="block">Performs an execute immediate of a statement.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#finalize--">finalize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#getClientLibrary--">getClientLibrary</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#getDatabaseInfo-byte:A-int-">getDatabaseInfo</a></span>(byte[]&nbsp;requestItems,
               int&nbsp;maxBufferLength)</code>
<div class="block">Performs a database info request.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#getEncodingDefinition--">getEncodingDefinition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#getHandle--">getHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>com.sun.jna.ptr.IntByReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#getJnaHandle--">getJnaHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>protected byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#getTransactionIdBuffer-long-">getTransactionIdBuffer</a></span>(long&nbsp;transactionId)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#internalDetach--">internalDetach</a></span>()</code>
<div class="block">Actual implementation of database detach.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#processStatusVector-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.gds.ng.WarningMessageCallback-">processStatusVector</a></span>(<a href="../../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>[]&nbsp;statusVector,
                   <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningMessageCallback)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-">queueEvent</a></span>(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>
<div class="block">Queues a wait for an event.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#reconnectTransaction-long-">reconnectTransaction</a></span>(long&nbsp;transactionId)</code>
<div class="block">Reconnects a prepared transaction.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna">JnaTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#startTransaction-org.firebirdsql.gds.TransactionParameterBuffer-">startTransaction</a></span>(<a href="../../../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)</code>
<div class="block">Creates and starts a transaction.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/ng/jna/JnaEventHandle.html" title="class in org.firebirdsql.gds.ng.jna">JnaEventHandle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html#validateEventHandle-org.firebirdsql.gds.EventHandle-">validateEventHandle</a></span>(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbDatabase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#addDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#addWeakDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addWeakDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#createBlobParameterBuffer--">createBlobParameterBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#createTransactionParameterBuffer--">createTransactionParameterBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#emptyRowDescriptor--">emptyRowDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getActiveTransactionCount--">getActiveTransactionCount</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getConnectionDialect--">getConnectionDialect</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getConnectionProperties--">getConnectionProperties</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseDialect--">getDatabaseDialect</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getDatabaseInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseInformationProcessor--">getDatabaseInformationProcessor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseWarningCallback--">getDatabaseWarningCallback</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDescribeDatabaseInfoBlock--">getDescribeDatabaseInfoBlock</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getOdsMajor--">getOdsMajor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getOdsMinor--">getOdsMinor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getParameterDescriptionInfoRequestItems--">getParameterDescriptionInfoRequestItems</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getStatementInfoRequestItems--">getStatementInfoRequestItems</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#removeDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">removeDatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setDatabaseDialect-short-">setDatabaseDialect</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setOdsMajor-int-">setOdsMajor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setOdsMinor-int-">setOdsMinor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#transactionAdded-org.firebirdsql.gds.ng.FbTransaction-">transactionAdded</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">transactionStateChanged</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#createDbCryptCallback--">createDbCryptCallback</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersionInformation--">getServerVersionInformation</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#isAttached--">isAttached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#safelyDetach--">safelyDetach</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setAttached--">setAttached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setDetached--">setDetached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setServerVersion-java.lang.String...-">setServerVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">isAttached</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.TransactionListener">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html#transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">transactionStateChanged</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="STATUS_VECTOR_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_VECTOR_SIZE</h4>
<pre>public static final&nbsp;int STATUS_VECTOR_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.firebirdsql.gds.ng.jna.JnaDatabase.STATUS_VECTOR_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MAX_STATEMENT_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAX_STATEMENT_LENGTH</h4>
<pre>public static final&nbsp;int MAX_STATEMENT_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.firebirdsql.gds.ng.jna.JnaDatabase.MAX_STATEMENT_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="handle">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handle</h4>
<pre>protected final&nbsp;com.sun.jna.ptr.IntByReference handle</pre>
</li>
</ul>
<a name="statusVector">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>statusVector</h4>
<pre>protected final&nbsp;<a href="../../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>[] statusVector</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JnaDatabase-org.firebirdsql.gds.ng.jna.JnaDatabaseConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JnaDatabase</h4>
<pre>public&nbsp;JnaDatabase(<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabaseConnection</a>&nbsp;connection)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getClientLibrary--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClientLibrary</h4>
<pre>protected final&nbsp;<a href="../../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a>&nbsp;getClientLibrary()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The client library instance associated with the database.</dd>
</dl>
</li>
</ul>
<a name="checkConnected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkConnected</h4>
<pre>protected&nbsp;void&nbsp;checkConnected()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#checkConnected--">AbstractFbAttachment</a></code></span></div>
<div class="block">Checks if the attachment is connected, and throws a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a> if it isn't connected.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#checkConnected--">checkConnected</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabaseConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="internalDetach--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>internalDetach</h4>
<pre>protected&nbsp;void&nbsp;internalDetach()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#internalDetach--">AbstractFbDatabase</a></code></span></div>
<div class="block">Actual implementation of database detach.
 <p>
 Implementations of this method should only be called from <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#close--"><code>AbstractFbDatabase.close()</code></a>, and should <strong>not</strong>
 notify database listeners of the database <a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detaching-org.firebirdsql.gds.ng.FbDatabase-"><code>DatabaseListener.detaching(FbDatabase)</code></a> and
 <a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detached-org.firebirdsql.gds.ng.FbDatabase-"><code>DatabaseListener.detached(FbDatabase)</code></a> events.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#internalDetach--">internalDetach</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabaseConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="attach--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attach</h4>
<pre>public&nbsp;void&nbsp;attach()
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#attach--">FbAttachment</a></code></span></div>
<div class="block">Attach to the attachment type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#attach--">attach</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="attachOrCreate-org.firebirdsql.gds.DatabaseParameterBuffer-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attachOrCreate</h4>
<pre>protected&nbsp;void&nbsp;attachOrCreate(<a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb,
                              boolean&nbsp;create)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="afterAttachActions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterAttachActions</h4>
<pre>protected&nbsp;void&nbsp;afterAttachActions()
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Additional tasks to execute directly after attach operation.
 <p>
 Implementation retrieves database information like dialect ODS and server
 version.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors reading or writing database information.</dd>
</dl>
</li>
</ul>
<a name="createDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDatabase</h4>
<pre>public&nbsp;void&nbsp;createDatabase()
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createDatabase--">FbDatabase</a></code></span></div>
<div class="block">Creates a new database, connection remains attached to database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createDatabase--">createDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="dropDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dropDatabase</h4>
<pre>public&nbsp;void&nbsp;dropDatabase()
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#dropDatabase--">FbDatabase</a></code></span></div>
<div class="block">Drops (and deletes) the currently attached database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#dropDatabase--">dropDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="cancelOperation-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelOperation</h4>
<pre>public&nbsp;void&nbsp;cancelOperation(int&nbsp;kind)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelOperation-int-">FbDatabase</a></code></span></div>
<div class="block">Cancels the current operation.
 <p>
 The cancellation types are:
 <dl>
     <dt><a href="../../../../../org/firebirdsql/gds/ISCConstants.html#fb_cancel_disable"><code>ISCConstants.fb_cancel_disable</code></a></dt>
     <dd>disables execution of fb_cancel_raise requests for the specified attachment. It can be useful when your0
     program is executing critical operations, such as cleanup, for example.</dd>
     <dt><a href="../../../../../org/firebirdsql/gds/ISCConstants.html#fb_cancel_enable"><code>ISCConstants.fb_cancel_enable</code></a></dt>
     <dd>re-enables delivery of a cancel execution that was previously disabled. The 'cancel' state is effective
     by default, being initialized when the attachment is created.</dd>
     <dt><a href="../../../../../org/firebirdsql/gds/ISCConstants.html#fb_cancel_raise"><code>ISCConstants.fb_cancel_raise</code></a></dt>
     <dd>cancels any activity related to the database handle. The effect will be that, as soon as possible, the
     engine will try to stop the running request and return an exception to the caller</dd>
     <dt><a href="../../../../../org/firebirdsql/gds/ISCConstants.html#fb_cancel_abort"><code>ISCConstants.fb_cancel_abort</code></a></dt>
     <dd>forcibly close client side of connection. Useful if you need to close a connection urgently. All active
     transactions will be rolled back by the server. 'Success' is always returned to the application. Use with
     care!</dd>
 </dl>
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelOperation-int-">cancelOperation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>kind</code> - Cancellation type</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors cancelling, or if the cancel operation is not supported.</dd>
</dl>
</li>
</ul>
<a name="startTransaction-org.firebirdsql.gds.TransactionParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startTransaction</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna">JnaTransaction</a>&nbsp;startTransaction(<a href="../../../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)
                                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#startTransaction-org.firebirdsql.gds.TransactionParameterBuffer-">FbDatabase</a></code></span></div>
<div class="block">Creates and starts a transaction.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#startTransaction-org.firebirdsql.gds.TransactionParameterBuffer-">startTransaction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tpb</code> - TransactionParameterBuffer with the required transaction
         options</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbTransaction</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="reconnectTransaction-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reconnectTransaction</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;reconnectTransaction(long&nbsp;transactionId)
                                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#reconnectTransaction-long-">FbDatabase</a></code></span></div>
<div class="block">Reconnects a prepared transaction.
 <p>
 Reconnecting transactions is only allowed for transactions in limbo (prepared, but not committed or rolled back).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#reconnectTransaction-long-">reconnectTransaction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionId</code> - The id of the transaction to reconnect.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbTransaction</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors reconnecting the transaction</dd>
</dl>
</li>
</ul>
<a name="getTransactionIdBuffer-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionIdBuffer</h4>
<pre>protected&nbsp;byte[]&nbsp;getTransactionIdBuffer(long&nbsp;transactionId)</pre>
</li>
</ul>
<a name="createStatement-org.firebirdsql.gds.ng.FbTransaction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStatement</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html" title="class in org.firebirdsql.gds.ng.jna">JnaStatement</a>&nbsp;createStatement(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createStatement-org.firebirdsql.gds.ng.FbTransaction-">FbDatabase</a></code></span></div>
<div class="block">Creates a statement associated with a transaction</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createStatement-org.firebirdsql.gds.ng.FbTransaction-">createStatement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transaction</code> - FbTransaction to associate with this statement (can be <code>null</code>).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbStatement</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlobForOutput</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>&nbsp;createBlobForOutput(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                                  <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">FbDatabase</a></code></span></div>
<div class="block">Creates a blob for write access to a new blob on the server.
 <p>
 The blob is initially closed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createBlobForOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transaction</code> - Transaction associated with the blob.</dd>
<dd><code>blobParameterBuffer</code> - Blob Parameter Buffer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng"><code>FbBlob</code></a></dd>
</dl>
</li>
</ul>
<a name="createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlobForInput</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>&nbsp;createBlobForInput(<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                                 <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer,
                                 long&nbsp;blobId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">FbDatabase</a></code></span></div>
<div class="block">Creates a blob for read access to an existing blob on the server.
 <p>
 The blob is initially closed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createBlobForInput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transaction</code> - Transaction associated with the blob.</dd>
<dd><code>blobParameterBuffer</code> - Blob Parameter Buffer</dd>
<dd><code>blobId</code> - Handle id of the blob</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng"><code>FbBlob</code></a></dd>
</dl>
</li>
</ul>
<a name="getDatabaseInfo-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseInfo</h4>
<pre>public&nbsp;byte[]&nbsp;getDatabaseInfo(byte[]&nbsp;requestItems,
                              int&nbsp;maxBufferLength)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getDatabaseInfo-byte:A-int-">FbDatabase</a></code></span></div>
<div class="block">Performs a database info request.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getDatabaseInfo-byte:A-int-">getDatabaseInfo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestItems</code> - Information items to request</dd>
<dd><code>maxBufferLength</code> - Maximum response buffer length to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The response buffer (note: length is the actual length of the
 response, not <code>maxBufferLength</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors retrieving the information.</dd>
</dl>
</li>
</ul>
<a name="executeImmediate-java.lang.String-org.firebirdsql.gds.ng.FbTransaction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeImmediate</h4>
<pre>public&nbsp;void&nbsp;executeImmediate(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statementText,
                             <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#executeImmediate-java.lang.String-org.firebirdsql.gds.ng.FbTransaction-">FbDatabase</a></code></span></div>
<div class="block">Performs an execute immediate of a statement.
 <p>
 A call to this method is the equivalent of a <code>isc_dsql_execute_immediate()</code> without parameters.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#executeImmediate-java.lang.String-org.firebirdsql.gds.ng.FbTransaction-">executeImmediate</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statementText</code> - Statement text</dd>
<dd><code>transaction</code> - Transaction (<code>null</code> only allowed if database is not attached!)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors executing the statement, or if <code>transaction</code> is <code>null</code> when the
         database is attached or not <code>null</code> when the database is not attached</dd>
</dl>
</li>
</ul>
<a name="getHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandle</h4>
<pre>public&nbsp;int&nbsp;getHandle()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getHandle--">getHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getHandle--">getHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The attachment handle value</dd>
</dl>
</li>
</ul>
<a name="getJnaHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJnaHandle</h4>
<pre>public&nbsp;com.sun.jna.ptr.IntByReference&nbsp;getJnaHandle()</pre>
</li>
</ul>
<a name="getEncodingDefinition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingDefinition</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;getEncodingDefinition()</pre>
</li>
</ul>
<a name="validateEventHandle-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateEventHandle</h4>
<pre>protected&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaEventHandle.html" title="class in org.firebirdsql.gds.ng.jna">JnaEventHandle</a>&nbsp;validateEventHandle(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEventHandle</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaEventHandle.html" title="class in org.firebirdsql.gds.ng.jna">JnaEventHandle</a>&nbsp;createEventHandle(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                                        <a href="../../../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds">EventHandler</a>&nbsp;eventHandler)
                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">FbDatabase</a></code></span></div>
<div class="block">Creates an event handle for this database type.
 <p>
 The returned event handle can be used with <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-"><code>FbDatabase.queueEvent(org.firebirdsql.gds.EventHandle)</code></a>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">createEventHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventName</code> - Name of the event</dd>
<dd><code>eventHandler</code> - The event handler to call when the event occurred</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A suitable event handle instance</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors creating the event handle</dd>
</dl>
</li>
</ul>
<a name="countEvents-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>countEvents</h4>
<pre>public&nbsp;void&nbsp;countEvents(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#countEvents-org.firebirdsql.gds.EventHandle-">FbDatabase</a></code></span></div>
<div class="block">Counts the events occurred.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#countEvents-org.firebirdsql.gds.EventHandle-">countEvents</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventHandle</code> - The event handle</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When the count can not be done (as - for example - the event handle is of the wrong type)</dd>
</dl>
</li>
</ul>
<a name="queueEvent-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queueEvent</h4>
<pre>public&nbsp;void&nbsp;queueEvent(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-">FbDatabase</a></code></span></div>
<div class="block">Queues a wait for an event.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-">queueEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventHandle</code> - The event handle (created using <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-"><code>FbDatabase.createEventHandle(String, EventHandler)</code></a> of this instance).</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors establishing the asynchronous channel, or for queuing the event.</dd>
</dl>
</li>
</ul>
<a name="cancelEvent-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelEvent</h4>
<pre>public&nbsp;void&nbsp;cancelEvent(<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelEvent-org.firebirdsql.gds.EventHandle-">FbDatabase</a></code></span></div>
<div class="block">Cancels a registered event.
 <p>
 After cancellation, the event handle should be considered unusable. Before queueing a new event, an new
 handle needs to be created.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelEvent-org.firebirdsql.gds.EventHandle-">cancelEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventHandle</code> - The event handle to cancel</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors cancelling the event</dd>
</dl>
</li>
</ul>
<a name="processStatusVector-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processStatusVector</h4>
<pre>public&nbsp;void&nbsp;processStatusVector(<a href="../../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>[]&nbsp;statusVector,
                                <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningMessageCallback)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="finalize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>finalize</h4>
<pre>protected&nbsp;void&nbsp;finalize()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/JnaDatabase.html" target="_top">Frames</a></li>
<li><a href="JnaDatabase.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
